摘要:
与cad里执行REGION命令相似 具体的实现: void ZffCHAP2AddRegion() { // 使用选择集,提示用户选择作为面域边界的对象 ads_name ss; int rt = acedSSGet(NULL, NULL, NULL, NULL, ss); // 提示用户 选择对象 阅读全文
摘要:
ObjectARX学习笔记(二十二)--如何获取模型空间中最小点和最大点 AcGePoint3d ptMax = acdbHostApplicationServices()->workingDatabase()->extmax(); //右上角点 AcGePoint3d ptMin = acdbHo 阅读全文
摘要:
<pre name="code" class="cpp"><pre name="code" class="cpp">// Copyright (C) 1998-2007 by Autodesk, Inc. // // Permission to use, copy, modify, and dist 阅读全文
摘要:
<pre name="code" class="cpp">Acad::ErrorStatus insert( const AcGeMatrix3d& xform, AcDbDatabase* pDb, bool preserveSourceDatabase = true);ParametersPar 阅读全文
摘要:
AcGeLineSeg3d acGeLineSegtmp1(AcGePoint3d(0,0,0),AcGePoint3d(100,0,0)); AcGeLineSeg3d acGeLineSegtmp2(AcGePoint3d(10,0,0),AcGePoint3d(90,0,0)); AcGeTo 阅读全文
摘要:
<pre name="code" class="cpp">AcDbDatabase *pDataBase = NULL; pDataBase = acdbCurDwg(); //根据需要传入不同AcDbDatabase 就可以做到不同dwg克隆实体 Acad::ErrorStatus es = Ac 阅读全文
摘要:
AcApDocManager* pDocManager = acDocManager; if (pDocManager == NULL) return FALSE; AcApDocumentIterator* iter = acDocManager->newAcApDocumentIterator( 阅读全文
摘要:
// (C) Copyright 1996-2008 by Autodesk, Inc. // // Permission to use, copy, modify, and distribute this software in // object code form for any purpos 阅读全文
摘要:
如何获得程序路径struct resbuf rb; char sTemp[1024],*str; ads_getvar("acadprefix",&rb); strcpy(sTemp,rb.resval.string); acad_free(rb.resval.rstring); str=strch 阅读全文
摘要:
CWnd *wTextCmdLine = acedGetAcadTextCmdLine(); if (wTextCmdLine != NULL) { ::EnumChildWindows(wTextCmdLine->m_hWnd,EnumChildProc,0); } BOOL CALLBACK E 阅读全文